import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class SharedDataService {
  constructor() {}

  private _tabbarIsHidden = new BehaviorSubject<boolean>(false);
  public tabbarIsHidden$ = this._tabbarIsHidden.asObservable();
  public updateTabbarState(state: boolean): void {
    this._tabbarIsHidden.next(state);
  }
}
